The officially official Devuan Forum!

You are not logged in.

#1 2020-11-14 12:07:46

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 59  

Is wicd needed for LXQt/Kwin?

Currently using KDE and LXQt DE's. Wicd is appearing in KDE alongside KDE's Network Manager Applet - any reason not to remove wicd? (Remember using it many years ago on earlier Linux Distros. wink

Offline

#2 2020-11-15 15:27:03

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,542  
Website

Re: Is wicd needed for LXQt/Kwin?

swarfendor437 wrote:

any reason not to remove wicd?

Probably not but you can check by simulating a removal:

aptitude --simulate purge wicd{,-cli,-curses,-daemon,-gtk}

Black Lives Matter

Offline

#3 2020-11-16 20:42:05

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 59  

Re: Is wicd needed for LXQt/Kwin?

Oh the Bliss of Devuan! Will give it a go. Thanks Head_on_a_Stick. wink

Offline

#4 2020-11-16 20:46:28

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 59  

Re: Is wicd needed for LXQt/Kwin?

Hmm! I think I will abstain from its removal! I can always remove the icon from the panel I guess!  This is the return of that command:

the following packages will be REMOVED:
  cjs{u} dnsutils{u} file-roller{u} gir1.2-accountsservice-1.0{u} 
  gir1.2-caribou-1.0{u} gir1.2-clutter-1.0{u} gir1.2-cogl-1.0{u} 
  gir1.2-coglpango-1.0{u} gir1.2-gdesktopenums-3.0{u} gir1.2-gkbd-3.0{u} 
  gir1.2-gnomedesktop-3.0{u} gir1.2-gtkclutter-1.0{u} gir1.2-harfbuzz-0.0{u} 
  gir1.2-json-1.0{u} gir1.2-keybinder-3.0{u} gir1.2-nm-1.0{u} gir1.2-nma-1.0{u} 
  gir1.2-upowerglib-1.0{u} gir1.2-xapp-1.0{u} gir1.2-xkl-1.0{u} gist{u} 
  gnome-backgrounds{u} gobject-introspection{u} gvfs-bin{u} hddtemp{u} 
  icu-devtools{u} inxi{u} iso-flags-png-320x240{u} libatk-bridge2.0-dev{u} 
  libatk1.0-dev{u} libatspi2.0-dev{u} libcairo-script-interpreter2{u} 
  libcairo2-dev{u} libcaribou-common{u} libcaribou0{u} libcjs0{u} libdbus-1-dev{u} 
  libdbus-glib-1-dev{u} libdbus-glib-1-dev-bin{u} libdrm-dev{u} libegl1-mesa-dev{u} 
  libepoxy-dev{u} libexpat1-dev{u} libfontconfig1-dev{u} libfreetype6-dev{u} 
  libfribidi-dev{u} libgarcon-common{u} libgirepository1.0-dev{u} 
  libgl1-mesa-dev{u} libgles1{u} libglvnd-core-dev{u} libglvnd-dev{u} 
  libgraphite2-dev{u} libgtk-3-dev{u} libharfbuzz-dev{u} libharfbuzz-gobject0{u} 
  libice-dev{u} libicu-dev{u} libirs161{u} libkeybinder-3.0-0{u} liblzo2-2{u} 
  libmozjs-52-0{u} libmozjs-52-dev{u} libmuparser2v5{u} libnemo-extension1{u} 
  libnotify-bin{u} libopengl0{u} libpango1.0-dev{u} libpixman-1-dev{u} libsm-dev{u} 
  libstatgrab10{u} libsysstat-qt5-0{u} libtagc0{u} libunique-1.0-0{u} 
  libwayland-bin{u} libwayland-dev{u} libwnck-common{u} libwnck22{u} 
  libx11-xcb-dev{u} libxapp1{u} libxcb-dri2-0-dev{u} libxcb-dri3-dev{u} 
  libxcb-glx0-dev{u} libxcb-present-dev{u} libxcb-randr0-dev{u} 
  libxcb-render0-dev{u} libxcb-shape0-dev{u} libxcb-shm0-dev{u} libxcb-sync-dev{u} 
  libxcb-xfixes0-dev{u} libxcomposite-dev{u} libxcursor-dev{u} libxdamage-dev{u} 
  libxext-dev{u} libxfixes-dev{u} libxft-dev{u} libxi-dev{u} libxinerama-dev{u} 
  libxkbcommon-dev{u} libxnvctrl0{u} libxrandr-dev{u} libxrender-dev{u} 
  libxshmfence-dev{u} libxtst-dev{u} libxxf86vm-dev{u} mesa-common-dev{u} 
  pango1.0-tools{u} python-notify{u} python-wicd{u} python3-markdown{u} 
  python3-pampy{u} python3-psutil{u} python3-pygments{u} python3-pyinotify{u} 
  python3-setproctitle{u} python3-xapp{u} python3-xlib{u} python3-yaml{u} rfkill{u} 
  ruby-json{u} tree{u} wayland-protocols{u} wicd{p} wicd-daemon{p} wicd-gtk{pu} 
  wireless-tools{u} x11proto-composite-dev{u} x11proto-damage-dev{u} 
  x11proto-fixes-dev{u} x11proto-randr-dev{u} x11proto-record-dev{u} 
  x11proto-xext-dev{u} x11proto-xf86vidmode-dev{u} x11proto-xinerama-dev{u} 
  xapps-common{u} xsane{u} xsane-common{u} 

Last edited by swarfendor437 (2020-11-16 20:47:31)

Offline

#5 2020-11-17 20:05:12

Head_on_a_Stick
Member
From: London
Registered: 2019-03-24
Posts: 1,542  
Website

Re: Is wicd needed for LXQt/Kwin?

That's strange, the LXQt desktop metapackage only lists wicd as a Recommends and it also has network-manager-gnome or nm-tray as alternatives for that.

Does this work:

apt install --simulate nm-tray wicd{,-cli,-curses,-daemon,-gtk}-

If that still results in a mass removal then just disable wicd instead:

# update-rc.d wicd defaults-disabled

Last edited by Head_on_a_Stick (2020-11-17 20:08:14)


Black Lives Matter

Offline

#6 2020-11-18 22:42:33

swarfendor437
Member
From: Somewhere off Atlantis
Registered: 2020-10-28
Posts: 59  

Re: Is wicd needed for LXQt/Kwin?

Thanks Head_on_a_Stick - I'll play safe and take the second option. wink

Offline

#7 2021-01-28 02:01:51

mckaygerhard
Member
Registered: 2017-04-21
Posts: 275  
Website

Re: Is wicd needed for LXQt/Kwin?

to remove wicd you must disable recommends, later force unninstall and later reinstall all network manager..

that wicd depends or install are triggered by debian changes in last two releases by example the Recommends on LXDE and LXQT are "wicd | network-manager-gnome" so due wicd are first is installed in task of packages..

Offline

Board footer